import Vue from "vue"
let prototype = Vue.prototype;

export default {
    orderTypeText(listType, orderType) {
        switch (listType) {
            case "t1": return ["购买服务", "#3ABCF6"];
            case "t2":
                if (orderType == 2) {
                    return ["一口价", "#3ABCF6"];
                }
                return ["报价"];
            case "t3": return ["货运", "#628BE7"];
        }
    },
    /**
     * 获取列表
     */
    getList(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options.request).then(response => {
                if (response.code == 1) {
                    let list = [];
                    response.data.forEach(item => {
                        list.push({
                            listType: options.listType,
                            id: item.id,
                            orderId: item.order,
                            username: "用户名称",
                            cate: "待返数据",
                            content: item.desc,
                            createTime: item.time,
                            serviceTime: item.times,
                            orderType: item.types,
                            state: item.status,
                            price: item.money,
                        });
                    });
                    return resolve(list);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    }
}
